
# history options

setopt EXTENDED_HISTORY		# add a timestamp and the duration of each command
setopt SHARE_HISTORY	 	# _all_ zsh sessions share the same history files
setopt HIST_IGNORE_ALL_DUPS	# ignores duplications

HISTDIR=$DOTZSHDIR/history
[ ! -d $HISTDIR ] && mkdir -p $HISTDIR
HISTFILE=$HISTDIR/history

HISTSIZE=1000000
SAVEHIST=1000000

export HISTFILE HISTSIZE SAVEHIST
